Name:           perl-Email-Simple-Creator
Version:        1.424
Release:        1%{?dist}
Summary:        Email::Simple constructor for starting anew
Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Email-Simple-Creator/
Source0:        http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Email-Simple-Creator-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:  perl(Email::Date::Format) >= 1.000
BuildRequires:  perl(Email::Simple) >= 2.003
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Email::Date::Format) >= 1.000
Requires:       perl(Email::Simple) >= 2.003

%description
This software provides a constructor to Email::Simple for creating
messages from scratch.

%prep
%setup -q -n Email-Simple-Creator-%{version}

# Provides: filter perl(Email::Simple)
%global provfilt /bin/sh -c "%{__perl_provides} | grep -Fvx 'perl(Email::Simple)'"
%define __perl_provides %{provfilt}

%build
sed -i '/LICENSE/ d' Makefile.PL
perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT _docs
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} $RPM_BUILD_ROOT

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes README LICENSE
%{perl_vendorlib}/Email/
%{_mandir}/man3/Email::Simple::Creator.3pm*

%changelog
* Mon Mar 19 2012 Paul Howarth <paul@city-fan.org> - 1.424-1
- update to 1.424
  - Fixed header: why was it creating LFCR?
  - Normalize line endings to CRLF in body
  - Improve reliability of existing line-ending code
  - Improve tests
  - Packaging improvements
  - Update Email::Simple prereq version (CPAN RT#28520)
  - Replace Email::Date prereq with Email::Date::Format
- one buildreq per line for readability
- add module version requirements from META.yml
- add runtime dependency on perl(Email::Date::Format)
- simplify provides filter
- don't need to remove empty directories from buildroot
- don't use macros for commands
- use %%{_fixperms} macro rather than our own chmod incantation
- use DESTDIR rather than PERL_INSTALL_ROOT
- make %%files list more explicit
- drop %%defattr, redundant since rpm 4.4
- package Changes file

* Thu Jul  5 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.420-3
- fix false provide of Email::Simple

* Sun Apr 29 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.420-2
- fix LICENSE Warning on build
- add missing Test BR

* Sun Apr  1 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.420-1
- Initial package for Fedora
